#-*- coding:utf-8 -*-

import subprocess

from base import EnhacModule


class Runner(EnhacModule):
    def __init__(self, enhac):
        self.enhac = enhac

    def do_run(self):
        run_cmd = [self.enhac.fname_bin] + self.enhac.args
        self.enhac.p_info("Running:")
        print "-" * 20
        print " ".join(run_cmd)
        print "-" * 20
        if subprocess.call(run_cmd):
            raise OSError("Run failed")
        self.enhac.safe_remove(self.enhac.fname_bin)
