#-*- coding:utf-8 -*-

from enhac.enhac import Enhac


class Meta(type):
    def __new__(cls, name, bases, attrs):
        new_cls = super(Meta, cls).__new__(cls, name, bases, attrs)
        if bases != (object,):  # do not register EnhacModule class itself as a module
            if not hasattr(new_cls, "NAME"):
                new_cls.NAME = name
            Enhac.register(new_cls)
        return new_cls


class EnhacModule(object):
    __metaclass__ = Meta

    ENHAC_MODULE = True

    def __str__(self):
        print "<EnhacModule %s>" % self.NAME
